
#ifndef _UESQL_BASE_MANAGER__
#define _UESQL_BASE_MANAGER__

class TUesqlBaseManager
{

  protected:

    ///  Integer with the ordinal of the next unique connection name.
    mutable int   iUniqueOrdinal;

    ///  String with the identifier of the current connection.
    string        yCurrentConnection;

    ///  Boolean with truth value only when there is a active connection.
    bool          gIsThereConnection;

  
  public:

    //
    //  C O N S T R U C T O R S
    //

    TUesqlBaseManager (void)     :
      iUniqueOrdinal     (0)     ,
      yCurrentConnection ()      ,
      gIsThereConnection (false) {}

    ~TUesqlBaseManager (void) { finish(); }

    int initialize (void) { return 0; }

    void finish (void) {}


  public:

    //
    //  S E L E C T O R S
    //

    bool existsDefaultConnection (void) const { return false; }

    string  currentConnectionName (void) const { return yCurrentConnection; }

    bool isConnected (const string& rkyCONNECTION_NAME) const { return false; }

};  //  class TUesqlBaseManager


#endif  // not _UESQL_BASE_MANAGER__
